#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './menu.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "menu.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <klistviewsearchline.h>
#include <qtoolbutton.h>
#include <qcombobox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistviewsearchline.h"
#include "tastylistview.h"
#include "kpushbutton.h"

/*
 *  Constructs a Menu as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Menu::Menu( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Menu" );
    MenuLayout = new QVBoxLayout( this, 0, 0, "MenuLayout"); 

    frame9 = new QFrame( this, "frame9" );
    frame9->setFrameShape( QFrame::PopupPanel );
    frame9->setFrameShadow( QFrame::Raised );
    frame9Layout = new QVBoxLayout( frame9, 11, 6, "frame9Layout"); 

    layout15 = new QHBoxLayout( 0, 0, 6, "layout15"); 

    leftFrame = new QFrame( frame9, "leftFrame" );
    leftFrame->setMaximumSize( QSize( 200, 32767 ) );
    leftFrame->setFrameShape( QFrame::StyledPanel );
    leftFrame->setFrameShadow( QFrame::Plain );
    leftFrame->setLineWidth( 0 );
    leftFrame->setMargin( 0 );
    leftFrame->setMidLineWidth( 0 );
    leftFrameLayout = new QVBoxLayout( leftFrame, 0, 6, "leftFrameLayout"); 

    layout13 = new QHBoxLayout( 0, 0, 6, "layout13"); 

    layout12 = new QVBoxLayout( 0, 0, 6, "layout12"); 

    searchLabel = new QLabel( leftFrame, "searchLabel" );
    searchLabel->setTextFormat( QLabel::AutoText );
    layout12->addWidget( searchLabel );

    showLabel = new QLabel( leftFrame, "showLabel" );
    layout12->addWidget( showLabel );
    layout13->addLayout( layout12 );

    layout11 = new QVBoxLayout( 0, 0, 6, "layout11"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    searchLine = new KListViewSearchLine( leftFrame, "searchLine" );
    searchLine->setEnabled( TRUE );
    layout7->addWidget( searchLine );

    clearButton = new QToolButton( leftFrame, "clearButton" );
    layout7->addWidget( clearButton );
    layout11->addLayout( layout7 );

    menuModes = new QComboBox( FALSE, leftFrame, "menuModes" );
    menuModes->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, menuModes->sizePolicy().hasHeightForWidth() ) );
    layout11->addWidget( menuModes );
    layout13->addLayout( layout11 );
    leftFrameLayout->addLayout( layout13 );

    dynamicList = new TastyListView( leftFrame, "dynamicList" );
    leftFrameLayout->addWidget( dynamicList );

    clearRecentButton = new QPushButton( leftFrame, "clearRecentButton" );
    leftFrameLayout->addWidget( clearRecentButton );
    layout15->addWidget( leftFrame );

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    frame5 = new QFrame( frame9, "frame5" );
    frame5->setMaximumSize( QSize( 32767, 20 ) );
    frame5->setFrameShape( QFrame::StyledPanel );
    frame5->setFrameShadow( QFrame::Sunken );
    frame5Layout = new QHBoxLayout( frame5, 2, 6, "frame5Layout"); 

    textLabel1 = new QLabel( frame5, "textLabel1" );
    QFont textLabel1_font(  textLabel1->font() );
    textLabel1_font.setBold( TRUE );
    textLabel1->setFont( textLabel1_font ); 
    textLabel1->setAlignment( int( QLabel::AlignCenter ) );
    frame5Layout->addWidget( textLabel1 );

    detachButton = new QToolButton( frame5, "detachButton" );
    detachButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, detachButton->sizePolicy().hasHeightForWidth() ) );
    detachButton->setAutoRaise( TRUE );
    frame5Layout->addWidget( detachButton );
    layout8->addWidget( frame5 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    rootList = new TastyListView( frame9, "rootList" );
    rootList->setMinimumSize( QSize( 0, 0 ) );
    layout9->addWidget( rootList );

    childList = new TastyListView( frame9, "childList" );
    childList->setMinimumSize( QSize( 0, 0 ) );
    layout9->addWidget( childList );
    layout8->addLayout( layout9 );
    layout15->addLayout( layout8 );
    frame9Layout->addLayout( layout15 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    runButton = new KPushButton( frame9, "runButton" );
    layout6->addWidget( runButton );

    switchButton = new KPushButton( frame9, "switchButton" );
    layout6->addWidget( switchButton );

    lockButton = new KPushButton( frame9, "lockButton" );
    layout6->addWidget( lockButton );

    logoutButton = new KPushButton( frame9, "logoutButton" );
    layout6->addWidget( logoutButton );
    frame9Layout->addLayout( layout6 );
    MenuLayout->addWidget( frame9 );
    languageChange();
    resize( QSize(516, 352).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( searchLine, menuModes );
    setTabOrder( menuModes, dynamicList );
    setTabOrder( dynamicList, rootList );
    setTabOrder( rootList, childList );
    setTabOrder( childList, runButton );
    setTabOrder( runButton, switchButton );
    setTabOrder( switchButton, lockButton );
    setTabOrder( lockButton, logoutButton );

    // buddies
    searchLabel->setBuddy( searchLine );
    showLabel->setBuddy( menuModes );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Menu::~Menu()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Menu::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    searchLabel->setText( tr2i18n( "Se&arch:" ) );
    showLabel->setText( tr2i18n( "&Show:" ) );
    clearButton->setText( tr2i18n( "..." ) );
    menuModes->clear();
    menuModes->insertItem( tr2i18n( "Favourite applications" ) );
    menuModes->insertItem( tr2i18n( "Most used applications" ) );
    menuModes->insertItem( tr2i18n( "Recent applications" ) );
    menuModes->insertItem( tr2i18n( "Recent documents" ) );
    QToolTip::add( menuModes, tr2i18n( "Use this dropdown menu to change the behaviour of the list below" ) );
    clearRecentButton->setText( tr2i18n( "&Clear list" ) );
    clearRecentButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    textLabel1->setText( tr2i18n( "All Applications" ) );
    detachButton->setText( tr2i18n( "..." ) );
    QToolTip::add( detachButton, tr2i18n( "Make this menu a normal window" ) );
    runButton->setText( tr2i18n( "Ru&n program..." ) );
    runButton->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( runButton, tr2i18n( "If you know exatly how a program is named you can directly enter the application name" ) );
    switchButton->setText( QString::null );
    switchButton->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( switchButton, tr2i18n( "Start a new session, switch the active user or edit your user profile" ) );
    lockButton->setText( tr2i18n( "L&ock Session" ) );
    lockButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QWhatsThis::add( lockButton, tr2i18n( "Lock the pc with a password if you are going away for a while" ) );
    logoutButton->setText( tr2i18n( "Lo&g Out..." ) );
    logoutButton->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QToolTip::add( logoutButton, tr2i18n( "Logout, reboot or shoutdown the computer" ) );
}

#include "menu.moc"
